<?php

namespace Advanced_Sidebar_Menu\Widget_Options;

/**
 * Base class for Widget Options.
 *
 * @author OnPoint Plugins
 * @since  3.0.0
 */
abstract class Widget_Options_Abstract {

	/**
	 * Checks if a widget's checkbox is checked.
	 *
	 * Checks first for a value then verifies the value = checked
	 *
	 * @param string $name     - name of checkbox.
	 * @param array  $instance - Widget settings.
	 *
	 * @since 3.1.0
	 *
	 * @return bool
	 */
	public function checked( $name, array $instance ) {
		return isset( $instance[ $name ] ) && 'checked' === $instance[ $name ];
	}
}
